import { NgModule, Inject } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { DiscoveryStoreModule } from './discovery-store.module';
import { DiscoveryRPCModule } from './discovery-rpc.module';
import { DiscoveryLoggerModule } from './discovery-logger.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';
import { KeyValueModule } from 'app/commons/component/key-value/key-value.module';
import {AngularLoadingBarModule} from 'ng4-loader-bar';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    PrimeNGModules,
    DiscoveryStoreModule,
    DiscoveryRPCModule,
    DiscoveryLoggerModule,
    KeyValueModule,
    AngularLoadingBarModule.forRoot()
  ],
  declarations: [
    COMPONENTS
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class DiscoveryModule {
}
